local RayUI, E, _, V, P, G = unpack(select(2, ...))
local RUF = RayUI:GetModule('RayUIUnitframes')
local UF = E.UnitFrames

function RUF:Update_RaidFrames(frame, db)
    if E.db.rayui.unitframes.quickres and (not frame:IsElementEnabled('RayUIQuickRes')) then
        frame:EnableElement('RayUIQuickRes')
    elseif (not E.db.rayui.unitframes.quickres) and frame:IsElementEnabled('RayUIQuickRes') then
        frame:DisableElement('RayUIQuickRes')
    end
end

function RUF:InitRaid()
    hooksecurefunc(UF, 'Update_RaidFrames', RUF.Update_RaidFrames)
end
